%define name uade
%define version 0.80
%define fname %name-%version
%define release 2mdk

Summary: Unix Amiga Delitracker Emulator
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://uade.ton.tut.fi/uade/%{fname}.tar.bz2
URL: http://uade.ton.tut.fi/
License: GPL
Group: Sound
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: xmms
Requires: lha
BuildRequires: libxmms-devel
BuildRequires: lha

%description
Plays old amiga tunes with UAE emulation and cloned m68k-assembler
Amiga delitracker API. With cloned delitracker API you don't have to
port old players from Amiga, you can re-use old Deliplayers that use
Amiga Delitracker API. Deliplayers are used like on Amiga, they exist
in some directory and you can copy/remove them as you wish. "Installing"
new players is just copying files to your 'players' directory.


%prep
%setup -q -n %fname

%build
./configure --prefix=%{_prefix} --libdir=%_libdir --package-prefix=%buildroot
make

%install
rm -rf %buildroot
make install PACKAGEPREFIX=%buildroot BINDIR=%buildroot%_bindir DATADIR=%buildroot%_datadir/%name DOCDIR=%buildroot%_prefix/doc
#fix permissions
find . %buildroot/%_datadir/uade -type f |xargs chmod 644
find . %buildroot/%_datadir/uade -type d |xargs chmod 755
rm -rf %buildroot%_prefix/doc
rm -f %buildroot%_libdir/xmms/Input/libuade.la

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc *.txt COPYING INSTALL README uade-docs/* 
%{_bindir}/*
%{_datadir}/uade
%{_libdir}/xmms/Input/libuade.so

%changelog
* Mon Sep 22 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.80-2mdk
- fix buildrequires
- drop prefix
- fix url

* Sat Aug 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.80-1mdk
- fix buildrequires
- new version

* Thu Jun 26 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.80-0.pre7.1mdk
- new version

* Wed May 21 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.80-0.pre6.1mdk
- new version

* Wed May 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.80-0.pre5.1mdk
- new version

* Sun Mar 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.80-0.pre4.1mdk
- new version

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.80-0.pre3.2mdk
- fix buildrequires

* Sun Feb 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.80-0.pre3.1mdk
- fix installation
- new version

* Thu Jan 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.80-0.pre2.1mdk
- new version

* Mon Jan 20 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.80-0.pre1.1mdk
- new version

* Mon Jan  6 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.73-1mdk
- new version

* Tue Dec 10 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.73-0.pre6.1mdk
- new version

* Wed Nov 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.73-0.pre5.1mdk
- new version

* Tue Nov 19 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.73-0.pre4.1mdk
- fix installation
- disable parallel build
- fix URL
- new version

* Tue Nov 12 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.73-0.pre1.1mdk
- new version

* Fri Nov  8 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.72-0.pre1.1mdk
- fix the fixing of the file permissions
- add a fake libdir to configure to please rpmlint
- enable parallel build
- drop patch
- new version

* Thu Jun  6 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.71-1mdk
- don't use %%make
- patch pwrap frontend to use the HOME environment variable
- requires lha
- new version

* Thu Feb  7 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.70-1mdk
- fixed documentation
- players are now in %%_datadir/uade
- remove patch
- 0.70

* Tue Jan  8 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.60-2mdk
- really fix directory to %%_libdir/uade

* Tue Jan  8 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.60-1mdk
- added programs to %%_bindir
- fixed installation
- regenerate patch
- 0.60

* Mon Dec  3 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.51-1mdk
- 0.51
- added db-content file to doc

* Thu Nov  1 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.50-2mdk
- added URL

* Wed Oct 24 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.50-1mdk
- updated doc
- 0.50

* Tue Sep 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.40-1mdk
- added by Gtz Waschk <waschk@linux-mandrake.com> :
	- patch to install in libdir
	- initial package
